using System;
using System.Collections.Generic;
using UnityEngine;


public class MedicineAllConfig : ScriptableObject
{


    public List<MedicineEle> list = new List<MedicineEle>();


    public List<List<int>> dicPin = new List<List<int>>();



    [Serializable]
    public class MedicineEle
    {
        public int id;
        public string name;
        /// <summary>
        /// 拼音
        /// </summary>
        public char pinType;
        /// <summary>
        /// 药材特性
        /// </summary>
        public string characteristic;
        /// <summary>
        /// 生长环境
        /// </summary>
        public string growIntroduce;
        /// <summary>
        /// 形态特征
        /// </summary>
        public string morphology;


    }


    public MedicineEle Get(int id)
    {
        id -= 1;
        if (list.Count < id || id < 0)
        {
            return null;
        }
        return list[id];
    }





}
